ISASCII(3)

NAME
isascii - test for ASCII character

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isascii(int c);

DESCRIPTION
The isascii() function tests for an ASCII character, which is any character with a value in the range from 0 to 127, inclusive.

The isascii() function is defined on all integer values.

SEE ALSO
ctype(3), isalnum(3), isalpha(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isascii() function conforms to xpg4 and p1003.1-2001. The p1003.1-2008 revision however marked it as obsolete, noting that isascii() cannot be used portably in a localized application.